com.independentsoft.exchange

## Enum ItemQueryTraversal

- java.lang.Object
- - java.lang.Enum<ItemQueryTraversal>
  - - com.independentsoft.exchange.ItemQueryTraversal

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ItemQueryTraversal>

      public enum ItemQueryTraversal
      extends java.lang.Enum<ItemQueryTraversal>

  Defines whether the search finds items in folders or in the dumpster folder.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSOCIATED` Returns only the configuration items.
    `SHALLOW` Returns only the items in the folder.
    `SOFT_DELETED` Returns only the items that are in the dumpster folder.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ItemQueryTraversal` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ItemQueryTraversal[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SHALLOW

          public static final ItemQueryTraversal SHALLOW

      Returns only the items in the folder.

    - #### SOFT_DELETED

          public static final ItemQueryTraversal SOFT_DELETED

      Returns only the items that are in the dumpster folder.

    - #### ASSOCIATED

          public static final ItemQueryTraversal ASSOCIATED

      Returns only the configuration items.

  - ### Method Detail

    - #### values

          public static ItemQueryTraversal[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ItemQueryTraversal c : ItemQueryTraversal.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ItemQueryTraversal valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null